<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:31 CEST 2019 -->
<title>FBDriver (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="FBDriver (Jaybird API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/firebirdsql/jdbc/FBDataSource.html" title="class in org.firebirdsql.jdbc"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../org/firebirdsql/jdbc/FBDriverConsistencyCheckException.html" title="class in org.firebirdsql.jdbc"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/firebirdsql/jdbc/FBDriver.html" target="_top">Frames</a></li>
<li><a href="FBDriver.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.firebirdsql.jdbc</div>
<h2 title="Class FBDriver" class="title">Class FBDriver</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.firebirdsql.jdbc.FBDriver</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Driver.html?is-external=true" title="class or interface in java.sql">Driver</a>, <a href="../../../org/firebirdsql/jdbc/FirebirdDriver.html" title="interface in org.firebirdsql.jdbc">FirebirdDriver</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">FBDriver</span>
extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>
implements <a href="../../../org/firebirdsql/jdbc/FirebirdDriver.html" title="interface in org.firebirdsql.jdbc">FirebirdDriver</a></pre>
<div class="block">The Jaybird JDBC Driver implementation for the Firebird database.</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd><a href="mailto:d_jencks@users.sourceforge.net">David Jencks</a>, <a href="mailto:mrotteveel@users.sourceforge.net">Mark Rotteveel</a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FBDriver.html#BLOB_BUFFER_LENGTH">BLOB_BUFFER_LENGTH</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FBDriver.html#CHARSET">CHARSET</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FBDriver.html#DATABASE">DATABASE</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FBDriver.html#PASSWORD">PASSWORD</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FBDriver.html#TPB_MAPPING">TPB_MAPPING</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FBDriver.html#USER">USER</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FBDriver.html#USER_NAME">USER_NAME</a></span></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FBDriver.html#FBDriver--">FBDriver</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FBDriver.html#acceptsURL-java.lang.String-">acceptsURL</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;url)</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../org/firebirdsql/jdbc/FirebirdConnection.html" title="interface in org.firebirdsql.jdbc">FirebirdConnection</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FBDriver.html#connect-org.firebirdsql.jdbc.FirebirdConnectionProperties-">connect</a></span>(<a href="../../../org/firebirdsql/jdbc/FirebirdConnectionProperties.html" title="interface in org.firebirdsql.jdbc">FirebirdConnectionProperties</a>&nbsp;properties)</code>
<div class="block">Connect to the specified database using the specified connection 
 properties.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true" title="class or interface in java.sql">Connection</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FBDriver.html#connect-java.lang.String-java.util.Properties-">connect</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;url,
       <a href="https://docs.oracle.com/javase/8/docs/api/java/util/Properties.html?is-external=true" title="class or interface in java.util">Properties</a>&nbsp;info)</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FBDriver.html#getMajorVersion--">getMajorVersion</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FBDriver.html#getMinorVersion--">getMinorVersion</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/logging/Logger.html?is-external=true" title="class or interface in java.util.logging">Logger</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FBDriver.html#getParentLogger--">getParentLogger</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DriverPropertyInfo.html?is-external=true" title="class or interface in java.sql">DriverPropertyInfo</a>[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FBDriver.html#getPropertyInfo-java.lang.String-java.util.Properties-">getPropertyInfo</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;url,
               <a href="https://docs.oracle.com/javase/8/docs/api/java/util/Properties.html?is-external=true" title="class or interface in java.util">Properties</a>&nbsp;info)</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FBDriver.html#jdbcCompliant--">jdbcCompliant</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code><a href="../../../org/firebirdsql/jdbc/FirebirdConnectionProperties.html" title="interface in org.firebirdsql.jdbc">FirebirdConnectionProperties</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FBDriver.html#newConnectionProperties--">newConnectionProperties</a></span>()</code>
<div class="block">Create new instance of <a href="../../../org/firebirdsql/jdbc/FirebirdConnectionProperties.html" title="interface in org.firebirdsql.jdbc"><code>FirebirdConnectionProperties</code></a> that can 
 later be used in <a href="../../../org/firebirdsql/jdbc/FirebirdDriver.html#connect-org.firebirdsql.jdbc.FirebirdConnectionProperties-"><code>FirebirdDriver.connect(FirebirdConnectionProperties)</code></a> call.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="CHARSET">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CHARSET</h4>
<pre>public static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> CHARSET</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.jdbc.FBDriver.CHARSET">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="USER">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>USER</h4>
<pre>public static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> USER</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.jdbc.FBDriver.USER">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="USER_NAME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>USER_NAME</h4>
<pre>public static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> USER_NAME</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.jdbc.FBDriver.USER_NAME">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="PASSWORD">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PASSWORD</h4>
<pre>public static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> PASSWORD</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.jdbc.FBDriver.PASSWORD">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="DATABASE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DATABASE</h4>
<pre>public static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> DATABASE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.jdbc.FBDriver.DATABASE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="BLOB_BUFFER_LENGTH">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BLOB_BUFFER_LENGTH</h4>
<pre>public static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> BLOB_BUFFER_LENGTH</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.jdbc.FBDriver.BLOB_BUFFER_LENGTH">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="TPB_MAPPING">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>TPB_MAPPING</h4>
<pre>public static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> TPB_MAPPING</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.jdbc.FBDriver.TPB_MAPPING">Constant Field Values</a></dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="FBDriver--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>FBDriver</h4>
<pre>public&nbsp;FBDriver()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="connect-java.lang.String-java.util.Properties-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>connect</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true" title="class or interface in java.sql">Connection</a>&nbsp;connect(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;url,
                          <a href="https://docs.oracle.com/javase/8/docs/api/java/util/Properties.html?is-external=true" title="class or interface in java.util">Properties</a>&nbsp;info)
                   throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Driver.html?is-external=true#connect-java.lang.String-java.util.Properties-" title="class or interface in java.sql">connect</a></code>&nbsp;in interface&nbsp;<code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Driver.html?is-external=true" title="class or interface in java.sql">Driver</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="connect-org.firebirdsql.jdbc.FirebirdConnectionProperties-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>connect</h4>
<pre>public&nbsp;<a href="../../../org/firebirdsql/jdbc/FirebirdConnection.html" title="interface in org.firebirdsql.jdbc">FirebirdConnection</a>&nbsp;connect(<a href="../../../org/firebirdsql/jdbc/FirebirdConnectionProperties.html" title="interface in org.firebirdsql.jdbc">FirebirdConnectionProperties</a>&nbsp;properties)
                           throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../org/firebirdsql/jdbc/FirebirdDriver.html#connect-org.firebirdsql.jdbc.FirebirdConnectionProperties-">FirebirdDriver</a></code></span></div>
<div class="block">Connect to the specified database using the specified connection 
 properties.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/jdbc/FirebirdDriver.html#connect-org.firebirdsql.jdbc.FirebirdConnectionProperties-">connect</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/jdbc/FirebirdDriver.html" title="interface in org.firebirdsql.jdbc">FirebirdDriver</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>properties</code> - instance of <a href="../../../org/firebirdsql/jdbc/FirebirdConnectionProperties.html" title="interface in org.firebirdsql.jdbc"><code>FirebirdConnectionProperties</code></a> 
 created in <a href="../../../org/firebirdsql/jdbc/FirebirdDriver.html#newConnectionProperties--"><code>FirebirdDriver.newConnectionProperties()</code></a> method.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>new connection to the Firebird database.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - if an error happened while connecting to the 
 database.</dd>
</dl>
</li>
</ul>
<a name="newConnectionProperties--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>newConnectionProperties</h4>
<pre>public&nbsp;<a href="../../../org/firebirdsql/jdbc/FirebirdConnectionProperties.html" title="interface in org.firebirdsql.jdbc">FirebirdConnectionProperties</a>&nbsp;newConnectionProperties()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../org/firebirdsql/jdbc/FirebirdDriver.html#newConnectionProperties--">FirebirdDriver</a></code></span></div>
<div class="block">Create new instance of <a href="../../../org/firebirdsql/jdbc/FirebirdConnectionProperties.html" title="interface in org.firebirdsql.jdbc"><code>FirebirdConnectionProperties</code></a> that can 
 later be used in <a href="../../../org/firebirdsql/jdbc/FirebirdDriver.html#connect-org.firebirdsql.jdbc.FirebirdConnectionProperties-"><code>FirebirdDriver.connect(FirebirdConnectionProperties)</code></a> call.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/jdbc/FirebirdDriver.html#newConnectionProperties--">newConnectionProperties</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/jdbc/FirebirdDriver.html" title="interface in org.firebirdsql.jdbc">FirebirdDriver</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>instance of <a href="../../../org/firebirdsql/jdbc/FirebirdConnectionProperties.html" title="interface in org.firebirdsql.jdbc"><code>FirebirdConnectionProperties</code></a>.</dd>
</dl>
</li>
</ul>
<a name="acceptsURL-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>acceptsURL</h4>
<pre>public&nbsp;boolean&nbsp;acceptsURL(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;url)
                   throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Driver.html?is-external=true#acceptsURL-java.lang.String-" title="class or interface in java.sql">acceptsURL</a></code>&nbsp;in interface&nbsp;<code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Driver.html?is-external=true" title="class or interface in java.sql">Driver</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="getPropertyInfo-java.lang.String-java.util.Properties-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPropertyInfo</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DriverPropertyInfo.html?is-external=true" title="class or interface in java.sql">DriverPropertyInfo</a>[]&nbsp;getPropertyInfo(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;url,
                                            <a href="https://docs.oracle.com/javase/8/docs/api/java/util/Properties.html?is-external=true" title="class or interface in java.util">Properties</a>&nbsp;info)
                                     throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Driver.html?is-external=true#getPropertyInfo-java.lang.String-java.util.Properties-" title="class or interface in java.sql">getPropertyInfo</a></code>&nbsp;in interface&nbsp;<code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Driver.html?is-external=true" title="class or interface in java.sql">Driver</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="getMajorVersion--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMajorVersion</h4>
<pre>public&nbsp;int&nbsp;getMajorVersion()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Driver.html?is-external=true#getMajorVersion--" title="class or interface in java.sql">getMajorVersion</a></code>&nbsp;in interface&nbsp;<code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Driver.html?is-external=true" title="class or interface in java.sql">Driver</a></code></dd>
</dl>
</li>
</ul>
<a name="getMinorVersion--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMinorVersion</h4>
<pre>public&nbsp;int&nbsp;getMinorVersion()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Driver.html?is-external=true#getMinorVersion--" title="class or interface in java.sql">getMinorVersion</a></code>&nbsp;in interface&nbsp;<code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Driver.html?is-external=true" title="class or interface in java.sql">Driver</a></code></dd>
</dl>
</li>
</ul>
<a name="jdbcCompliant--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>jdbcCompliant</h4>
<pre>public&nbsp;boolean&nbsp;jdbcCompliant()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Driver.html?is-external=true#jdbcCompliant--" title="class or interface in java.sql">jdbcCompliant</a></code>&nbsp;in interface&nbsp;<code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Driver.html?is-external=true" title="class or interface in java.sql">Driver</a></code></dd>
</dl>
</li>
</ul>
<a name="getParentLogger--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getParentLogger</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/logging/Logger.html?is-external=true" title="class or interface in java.util.logging">Logger</a>&nbsp;getParentLogger()
                       throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLFeatureNotSupportedException.html?is-external=true" title="class or interface in java.sql">SQLFeatureNotSupportedException</a></pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Driver.html?is-external=true#getParentLogger--" title="class or interface in java.sql">getParentLogger</a></code>&nbsp;in interface&nbsp;<code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Driver.html?is-external=true" title="class or interface in java.sql">Driver</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLFeatureNotSupportedException.html?is-external=true" title="class or interface in java.sql">SQLFeatureNotSupportedException</a></code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/firebirdsql/jdbc/FBDataSource.html" title="class in org.firebirdsql.jdbc"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../org/firebirdsql/jdbc/FBDriverConsistencyCheckException.html" title="class in org.firebirdsql.jdbc"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/firebirdsql/jdbc/FBDriver.html" target="_top">Frames</a></li>
<li><a href="FBDriver.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2001-2019 Jaybird (Firebird JDBC/JCA) team. All rights reserved.</small></p>
</body>
</html>
